using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Siger.Middlelayer.Common.FieldEnum;
using Siger.Middlelayer.Common.ModuleEnum;
using Siger.Middlelayer.Repository;


namespace Siger.Middlelayer.IMSRepository.Entities
{

    [Table("siger_project_ims_detection_detail")]
    public class ProjectIMSDetectionDetailEntity : EntityBase
    {
        public  ProjectIMSDetectionDetailEntity()
        {
            Status = 1;
            
        }

		/// <summary>
		/// 
		/// </summary>
        [Key]
        [Column("id")]
        public int Id { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("projectid")]
        public int Projectid { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("status")]
        public int Status { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("creator")]
        public int Creator { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("editor")]
        public int Editor { get; set; }
		/// <summary>
		/// 
		/// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
		/// <summary>
		/// 检测单号
		/// </summary>
        [Column("order_number")]
        public string OrderNumber { get; set; }
		/// <summary>
		/// 检测编号
		/// </summary>
        [Column("seq")]
        public string Seq { get; set; }
		/// <summary>
		/// 检测类型
		/// </summary>
        [Column("type")]
        public string Type { get; set; }
		/// <summary>
		/// 检测工具
		/// </summary>
        [Column("tools")]
        public string Tools { get; set; }
		/// <summary>
		/// 标准值
		/// </summary>
        [Column("standard_values")]
        public string StandardValues { get; set; }
		/// <summary>
		/// 上限
		/// </summary>
        [Column("max")]
        public double Max { get; set; }
		/// <summary>
		/// 下限
		/// </summary>
        [Column("mini")]
        public double Mini { get; set; }
		/// <summary>
		/// 刀具编号
		/// </summary>
		[Column("tool_id")]
		public int ToolId { get; set; }
		/// <summary>
		/// 配置类型1刀具2刀柄3附件
		/// </summary>
		[Column("tool_type")]
		public ImsSettingCategory ToolType { get; set; }
		/// <summary>
		/// 检测值
		/// </summary>
		[Column("actual_value")]
        public string ActualValue { get; set; }
		/// <summary>
		/// 结果1合格2不合格
		/// </summary>
		[Column("result")]
		public int result { get; set; }
       
    }

}
